local mod = ...

-------------------------------------------------------
--[[====================FLOWERS====================]]--
-------------------------------------------------------

mod:registerAssetId("models/Scenery.fbx/Prefab/BlueFlowers", "PREFAB_BLUE_FLOWERS")
mod:registerAssetId("models/Scenery.fbx/Prefab/PurpleFlowers", "PREFAB_PURPLE_FLOWERS")
mod:registerAssetId("models/Scenery.fbx/Prefab/RedFlowers", "PREFAB_RED_FLOWERS")
mod:registerAssetId("models/Scenery.fbx/Prefab/WhiteFlowers", "PREFAB_WHITE_FLOWERS")
mod:registerAssetId("models/Scenery.fbx/Prefab/YellowFlowers", "PREFAB_YELLOW_FLOWERS")
mod:registerAssetId("models/Scenery.fbx/Prefab/PlanterBox", "PREFAB_PLANTER")


mod:registerAssetId("models/Scenery.fbx/Materials/Flower", "FLOWER")
mod:registerAssetId("models/Scenery.fbx/Materials/Dirt", "DIRT")
mod:registerAssetId("models/Scenery.fbx/Materials/Wood", "WOOD")


mod:registerPrefabComponent("models/Scenery.fbx/Prefab/BlueFlowers", {
	DataType = "COMP_GROUNDED"
})

mod:registerPrefabComponent("models/Scenery.fbx/Prefab/PurpleFlowers", {
	DataType = "COMP_GROUNDED"
})

mod:registerPrefabComponent("models/Scenery.fbx/Prefab/RedFlowers", {
	DataType = "COMP_GROUNDED"
})

mod:registerPrefabComponent("models/Scenery.fbx/Prefab/WhiteFlowers", {
	DataType = "COMP_GROUNDED"
})

mod:registerPrefabComponent("models/Scenery.fbx/Prefab/YellowFlowers", {
	DataType = "COMP_GROUNDED"
})

mod:registerPrefabComponent("models/Scenery.fbx/Prefab/PlanterBox", {
	DataType = "COMP_GROUNDED"
})

mod:override({
    Id = "FLOWER",
	HasAlphaTest = true,
	BackFaceVisible = true
})

mod:override({
    Id = "DIRT",
	HasAlphaTest = true,
	BackFaceVisible = true
})

mod:override({
    Id = "WOOD",
	HasAlphaTest = true,
	BackFaceVisible = true
})


mod:register({
	DataType = "BUILDING_PART",
	Id = "BLUE_FLOWERS",
	Name = "BLUE_FLOWERS_NAME",
	Description = "BLUE_FLOWERS_DESC",
	Category = "DECO",
	BuildingZone = { 
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			} 
        }
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BLUE_FLOWERS"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 1 }
		}
	}
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "PURPLE_FLOWERS",
	Name = "PURPLE_FLOWERS_NAME",
	Description = "PURPLE_FLOWERS_DESC",
	Category = "DECO",
	BuildingZone = { 
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			} 
        }
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PURPLE_FLOWERS"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 1 }
		}
	}
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "RED_FLOWERS",
	Name = "RED_FLOWERS_NAME",
	Description = "RED_FLOWERS_DESC",
	Category = "DECO",
	BuildingZone = { 
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			} 
        }
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_RED_FLOWERS"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 1 }
		}
	}
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "WHITE_FLOWERS",
	Name = "WHITE_FLOWERS_NAME",
	Description = "WHITE_FLOWERS_DESC",
	Category = "DECO",
	BuildingZone = { 
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			} 
        }
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WHITE_FLOWERS"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 1 }
		}
	}
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "YELLOW_FLOWERS",
	Name = "YELLOW_FLOWERS_NAME",
	Description = "YELLOW_FLOWERS_DESC",
	Category = "DECO",
	BuildingZone = { 
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			} 
        }
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_YELLOW_FLOWERS"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 1 }
		}
	}
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "PLANTER",
	Name = "PLANTER_NAME",
	Description = "PLANTER_DESC",
	Category = "DECO",
	BuildingZone = { 
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false,
					GRASS_CLEAR = true
				},
				Polygon = {
					{1, 1},
					{1, -1},
					{-1, -1},
					{-1, 1}
				}
			} 
        }
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_PLANTER"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 1 }
		}
	}
})

