local mod = ...


-------------------------------------------------------
--[[====================STATUES====================]]--
-------------------------------------------------------


mod:registerAssetId("models/Scenery.fbx/Prefab/FairyStatue", "PREFAB_FAIRY")
mod:registerAssetId("models/Scenery.fbx/Prefab/RavenStatue", "PREFAB_RAVEN")
mod:registerAssetId("models/Scenery.fbx/Prefab/Gazebo", "PREFAB_GAZEBO")
mod:registerAssetId("models/Scenery.fbx/Prefab/ShortLantern", "PREFAB_SHORT_LAMP")
mod:registerAssetId("models/Scenery.fbx/Prefab/TallLantern", "PREFAB_TALL_LAMP")
mod:registerAssetId("models/Scenery.fbx/Prefab/WallLantern", "PREFAB_WALL_LAMP")
mod:registerAssetId("models/Scenery.fbx/Prefab/Fountian", "PREFAB_FOUNTAIN")
mod:registerAssetId("models/Scenery.fbx/Prefab/Bench", "PREFAB_BENCH")



mod:registerAssetId("models/Scenery.fbx/Materials/Statue", "STATUE_MATERIAL")
mod:registerAssetId("models/Scenery.fbx/Materials/Gazebo", "GAZEBO_MATERIAL")
mod:registerAssetId("models/Scenery.fbx/Materials/GazeboRoof", "GAZEBO_ROOF_MATERIAL")
mod:registerAssetId("models/Scenery.fbx/Materials/Lantern", "LAMP_MATERIAL")
mod:registerAssetId("models/Scenery.fbx/Materials/Wawa", "WATER_MATERIAL")

mod:override({
    Id = "STATUE_MATERIAL",
	HasAlphaTest = true,
	BackFaceVisible = true
})

mod:override({
    Id = "GAZEBO_MATERIAL",
	HasAlphaTest = true,
	BackFaceVisible = true
})

mod:override({
    Id = "GAZEBO_ROOF_MATERIAL",
	HasAlphaTest = true,
	BackFaceVisible = true
})

mod:override({
    Id = "LAMP_MATERIAL",
	HasAlphaTest = true,
	BackFaceVisible = true
})



mod:override({
    Id = "WATER_MATERIAL",
	HasAlphaTest = true,
	HasTransparency = true,
    IsLighted = false,
	BackFaceVisible = false,
    HasShadow = false,
    Metalness = 0.9
})


mod:register({
	DataType = "BUILDING_PART",
	Id = "FAIRY_STATUE",
	Name = "FAIRY_STATUE_NAME",
	Description = "FAIRY_STATUE_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false,
					GRASS_CLEAR = true
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FAIRY"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 5 },
			{ Resource = "STONE", Quantity = 10 }
		}
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.1
		}
	}
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "BENCH",
	Name = "BENCH_NAME",
	Description = "BENCH_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false,
					GRASS_CLEAR = true
				},
				Polygon = {
					{1, 0.2},
					{1, -0.2},
					{-1, -0.2},
					{-1, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_BENCH"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 5 },
			{ Resource = "STONE", Quantity = 5 }
		}
	}
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "RAVEN_STATUE",
	Name = "RAVEN_STATUE_NAME",
	Description = "RAVEN_STATUE_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false,
					GRASS_CLEAR = true
				},
				Polygon = {
					{0.2, 0.2},
					{0.2, -0.2},
					{-0.2, -0.2},
					{-0.2, 0.2}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_RAVEN"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 5 },
			{ Resource = "STONE", Quantity = 10 }
		}
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.4
		}
	}
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "GAZEBO",
	Name = "GAZEBO_NAME",
	Description = "GAZEBO_DESC",
	AssetBuildingFunction = "BUILDING_FUNCTION_SHRINE",
	--Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false,
					GRASS_CLEAR = true
				},
				Polygon = {
					{1, 1},
					{1, -1},
					{-1, -1},
					{-1, 1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_GAZEBO"
	},
	Cost = {
		UpkeepCost = {
            { Resource = "GOLD_COINS", Quantity = 2 }
        },
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 5 },
			{ Resource = "STONE", Quantity = 10 }
		}
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.4
		}
	}
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "SHORT_LAMP",
	Name = "SHORT_LAMP_NAME",
	Description = "SHORT_LAMP_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false,
					--GRASS_CLEAR = true
				},
				Polygon = {
					{1, 1},
					{1, -1},
					{-1, -1},
					{-1, 1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_SHORT_LAMP"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 5 },
			{ Resource = "WOOD", Quantity = 5 }
		}
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.4
		}
	}
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "TALL_LAMP",
	Name = "TALL_LAMP_NAME",
	Description = "TALL_LAMP_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false,
					--GRASS_CLEAR = true
				},
				Polygon = {
					{1, 1},
					{1, -1},
					{-1, -1},
					{-1, 1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_TALL_LAMP"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 10 },
			{ Resource = "WOOD", Quantity = 10 }
		}
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.4
		}
	}
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "WALL_LAMP",
	Name = "WALL_LAMP_NAME",
	Description = "WALL_LAMP_DESC",
	Category = "DECO",
	BuildingZone = {
		ZoneEntryList = {
			{
				Type = {
					DEFAULT = true,
					NAVIGABLE = false,
					--GRASS_CLEAR = true
				},
				Polygon = {
					{1, 1},
					{1, -1},
					{-1, -1},
					{-1, 1}
				}
			}
		}
	},
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_WALL_LAMP"
	},
	Cost = {
		BuildRightTaxes = {
			{ Resource = "GOLD", Quantity = 5 },
			{ Resource = "WOOD", Quantity = 5 }
		}
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 20.0,
			Value = 0.4
		}
	}
})




mod:register({
    DataType = "BUILDING_PART",
    Id = "FOUNTIAN",
	Name = "FOUNTIAN_NAME",
    Description = "FOUNTIAN_DESC",
    AssetBuildingFunction = "BUILDING_FUNCTION_WELL",
    BuildingZone = { 
        ZoneEntryList = {
            { 
                Polygon = {
                    { 3.8, 0 },
                    { 2.4, 2.7 },
                    { -2.4, 2.7 },
                    { -3.8, 0 },
                    { -2.4, -2.7 },
                    { 2.4, -2.7 }
                },
                Type = { DEFAULT = true, NAVIGABLE = false, GRASS_CLEAR = true } 
            }
        }
    },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_FOUNTAIN"
	},
    DesirabilityModifiers = {
        {
                Desirability = "DESIRABILITY_RESIDENTIAL",
                Radius = 25,
                Value = 0.2
        }
    },
    Cost = {
        UpkeepCost = {
            { Resource = "GOLD_COINS", Quantity = 5 }
        },
        RessourcesNeeded = {
            { Resource = "WOOD", Quantity = 10 },
            { Resource = "STONE", Quantity = 5 }
        }
    }
})